﻿using UnityEngine;
using System.Collections;

public class Alarm {

    public float m_duration = 0.0f;
    public bool m_isStarted = false;
    public float m_age = 0.0f;

    public void start( float duration ) {
        m_duration = duration;
        m_age = 0.0f;
        m_isStarted = true;
    }

    public void step( ) {

        if ( m_isStarted ) {
            m_age += Time.deltaTime;
        }
    }

    public bool isFinished( ) {

        bool result = false;

        if ( m_isStarted && m_age >= m_duration ) {
            m_isStarted = false;
            result = true;
        }

        return result;
    }

    public bool isRunning( ) {
        bool result = m_isStarted && m_age < m_duration;
        return result;
    }

    public void stop( ) {
        m_isStarted = false;
    }
}
